Different dotConnect versions on one computer

Discussion of open issues, suggestions and bugs regarding Entity Framework support in ADO.NET Data providers
Post Reply
kussaued
Posts: 7
Joined: Fri 08 Jul 2011 06:39

Different dotConnect versions on one computer

Post by kussaued » Mon 27 Nov 2017 10:37

I try to build several projects on my development computer, each using a different dotConnect adapter like that:
  • project A, using dotConnect for Oracle in Version 9x
  • project B, using dotConnect for MySql in Version 8x
  • project C, using dotConnect for Postgres in Version 7x
I get an incompatibility warning from the dotConnect installer, if I try to install the different versions at the same time.

Image

How can I build all the projects, without deinstalling the other dotConnect adapters all the time?

I'm looking for a solution that will allow a quick change of the project I work on.

Pinturiccio
Devart Team
Posts: 2192
Joined: Wed 02 Nov 2011 09:44

Re: Different dotConnect versions on one computer

Post by Pinturiccio » Thu 30 Nov 2017 10:01

All Devart data providers use a common assembly (Devart.Data.dll). We release our ADO.NET data providers simultaneously, thus releases with the same date are compatible. The compatibility of providers depends on their release date. If you want to use dotConnect for Oracle, dotConnect for MySQL and dotConnect for PostgreSQL on the same computer, you must ensure that their versions are compatible.

For example dotConnect for Oracle 9.4.348 which was released on 06-Sep-17 is compatible with dotConnect for MySQL 8.9.980 and dotConnect for PostgreSQL 7.9.980 which were released in the same date. For more information, please refer to
https://www.devart.com/dotconnect/oracl ... story.html
https://www.devart.com/dotconnect/mysql ... story.html
https://www.devart.com/dotconnect/postg ... story.html

You can also ignore this warning and install incompatible providers. But we cannot guarantee their correct work in this case.

kussaued
Posts: 7
Joined: Fri 08 Jul 2011 06:39

Re: Different dotConnect versions on one computer

Post by kussaued » Thu 30 Nov 2017 11:39

This means I always have to buy all dotConnect products, whenever I need one new version of your tools. This is quite expensive and forces me to buy new versions of products that I basically don't need. I only want to build all my applications on one computer!

I tried ignoring the warning and build the applications with different versions: it doesn't work.

Pinturiccio
Devart Team
Posts: 2192
Joined: Wed 02 Nov 2011 09:44

Re: Different dotConnect versions on one computer

Post by Pinturiccio » Fri 01 Dec 2017 14:43

Having a license for a dotConnect for Oracle, dotConnect for MySQL and dotConnect for PostgreSQL, you can also download the latest version available for your subscription and any previous versions. You can find any previous version in the 'Registered Users' Area in the following way: click "Previous versions" on the "Download" page. So you will be able download dotConnect of the version compatible with your other dotConnects versions.

Our product is sold on the subscription basic. After purchase or renewal a subscription, you get one year subscription and can download new version while your subscription is valid. If you want to upgrade only one product to the latest version, you will need to uninstall other dotConnect providers and install only the provider that you want to use now, and do it each time when you want to use other provider.


You can also try the following actions. However, we cannot guarantee that it will work correctly.
In order to install different versions of dotConnect for Oracle, dotConnect for MySQL and dotConnect for PostgreSQL to one computer, please perform the following actions:
1)
- After installing a dotConnect for Oracle version
delete the HKEY_LOCAL_MACHINE\SOFTWARE\Devart\Installed Products\dotConnect\Net2\Oracle key for x86 operating system and HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Devart\Installed Products\dotConnect\Net2\Oracle key for x64 operating system before each new provider installation;

- After installing a dotConnect for MySQL version
delete the HKEY_LOCAL_MACHINE\SOFTWARE\Devart\Installed Products\dotConnect\Net2\MySQL key for x86 operating system and HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Devart\Installed Products\dotConnect\Net2\MySQL key for x64 operating system before each new provider installation;

- After installing a dotConnect for PostgreSQL version
delete the HKEY_LOCAL_MACHINE\SOFTWARE\Devart\Installed Products\dotConnect\Net2\PostgreSql key for x86 operating system and HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Devart\Installed Products\dotConnect\Net2\PostgreSql key for x64 operating system before each new provider installation;

2) be aware that each dotConnect for Oracle, dotConnect for MySQL and dotConnect for PostgreSQL installation package places the policy.*.Devart.* files to GAC. If you use several versions of our provider, you should remove these policy files from your GAC.

Post Reply